# Interface ICommonLabelProvider

All Superinterfaces:
  `IBaseLabelProvider, IDescriptionProvider, ILabelProvider, IMementoAware`

All Known Implementing Classes:
  `AbstractSynchronizationLabelProvider, SynchronizationLabelProvider`

public interface ICommonLabelProvider extends ILabelProvider, IMementoAware, IDescriptionProvider
Allows extensions to vary their behavior based on properties in the extension model and the given memento.

Clients should refer to the org.eclipse.ui.navigator.navigatorContent extension point for more information on building a content extension.

Clients should not dispose of any Image Resources that might be shared by other extensions when their Label Provider is disposed. When a content extension is deactivated, both its content and label providers are disposed, but the viewer remains visible to the user. If clients dispose of Image Resources used by other extensions, then it will cause problems for those extensions and the viewer in general.

Clients may implement this interface if they require the methods provided here. `ILabelProvider` is respected by the Common Navigator.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`void`
`init(ICommonContentExtensionSite aConfig)`
Initialize the label provider with the given configuration.

### Methods inherited from interface IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from interface IDescriptionProvider

`getDescription`

### Methods inherited from interface ILabelProvider

`getImage, getText`

### Methods inherited from interface IMementoAware

`restoreState, saveState`

## Method Details

### init

void init(ICommonContentExtensionSite aConfig)
Initialize the label provider with the given configuration.

Parameters:
  `aConfig` - The extension site provides information that some extensions will find useful to configure themselves properly in a particular viewer.
See Also:
  - `ICommonContentProvider`